Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.obfuscation
Class SimpleObfuscationPlugin

    java.lang.Object
      org.blojsom.plugin.obfuscation.SimpleObfuscationPlugin

All Implemented Interfaces:
  Plugin

public class SimpleObfuscationPlugin
extends java.lang.Object
implements Plugin

SimpleObfuscationPlugin

Since:
  blojsom 3.0
Version:
  $Id: SimpleObfuscationPlugin.java,v 1.1 2006/03/20 21:30:57 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`static java.lang.String` | `BLOJSOM_PLUGIN_SIMPLE_OBFUSCATION`

Constructor Summary
`SimpleObfuscationPlugin()`

Method Summary
`void` | `cleanup()` Perform any cleanup for the plugin.
`void` | `destroy()` Called when BlojsomServlet is taken out of service
`void` | `init()` Initialize this plugin.
`java.lang.String` | `obfuscate(java.lang.String data)` Simple obfuscation technique.
`Entry[]` | `process(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Blog blog, java.util.Map context, Entry[] entries)` Process the blog entries

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLOJSOM_PLUGIN_SIMPLE_OBFUSCATION

    public static final java.lang.String BLOJSOM_PLUGIN_SIMPLE_OBFUSCATION

See Also:
  Constant Field Values

Constructor Detail

### SimpleObfuscationPlugin

    public SimpleObfuscationPlugin()

Method Detail

### init

    public void init()
              throws PluginException

  Initialize this plugin. This method only called when the plugin is instantiated.

  Specified by:
    `init` in interface `Plugin`
  Throws:
    `PluginException` - If there is an error initializing the plugin

### obfuscate

    public java.lang.String obfuscate(java.lang.String data)

  Simple obfuscation technique. Take every character and output a hex equivalent.

  Parameters:
    `data` - Data to be obfuscated
  Returns:
    Data that has been obfuscated

### process

    public Entry[] process(javax.servlet.http.HttpServletRequest httpServletRequest,
                           javax.servlet.http.HttpServletResponse httpServletResponse,
                           Blog blog,
                           java.util.Map context,
                           Entry[] entries)
                    throws PluginException

  Process the blog entries

  Specified by:
    `process` in interface `Plugin`
  Parameters:
    `httpServletRequest` - Request
    `httpServletResponse` - Response
    `blog` - `Blog` instance
    `context` - Context
    `entries` - Blog entries retrieved for the particular request
  Returns:
    Modified set of blog entries
  Throws:
    `PluginException` - If there is an error processing the blog entries

### cleanup

    public void cleanup()
                 throws PluginException

  Perform any cleanup for the plugin. Called after `process(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, org.blojsom.blog.Blog, java.util.Map, org.blojsom.blog.Entry[])`.

  Specified by:
    `cleanup` in interface `Plugin`
  Throws:
    `PluginException` - If there is an error performing cleanup for this plugin

### destroy

    public void destroy()
                 throws PluginException

  Called when BlojsomServlet is taken out of service

  Specified by:
    `destroy` in interface `Plugin`
  Throws:
    `PluginException` - If there is an error in finalizing this plugin

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD